config/routes.rb
Rails.application.routes.draw do
  resources :students
  resources :exams
  resources :teachers
  resources :reports
  resources :payments
  resources :pockets
  # For details on the DSL available within this file, see https://guides.rubyonrails.org/routing.html
end

app/models/application_record.rb
class ApplicationRecord < ActiveRecord::Base
  self.abstract_class = true
end

app/models/exam.rb
class Exam < ApplicationRecord
end

app/models/payment.rb
class Payment < ApplicationRecord
end

app/models/pocket.rb
class Pocket < ApplicationRecord
end

app/models/report.rb
class Report < ApplicationRecord
end

app/models/student.rb
class Student < ApplicationRecord
end

app/models/teacher.rb
class Teacher < ApplicationRecord
end

app/controllers/application_controller.rb
class ApplicationController < ActionController::Base
end

app/controllers/exams_controller.rb
class ExamsController < ApplicationController
  def index
    @exams = Exam.all
  end

  def new
    @exam = Exam.new
  end

  def create
    exam = Exam.new(resource_params)
    exam.save
    flash[:notice] = 'Exam has been created'
    redirect_to exams_path
  end

  def edit
    @exam = Exam.find(params[:id])
  end

  def update
    @exam = Exam.find(params[:id])
    @exam.update(resource_params)
    flash[:notice] = 'Exam has been updated'
    redirect_to exam_path(@exam)
  end

  def destroy
    @exam = Exam.find(params[:id])
    @exam.destroy
    flash[:notice] = 'Exam has been deleted'
    redirect_to exams_path
  end

  def show
    id = params[:id]
    @exam = Exam.find(id)
  end

  private
    def resource_params
      params.require(:exam).permit(:title, :mapel, :duration, :nilai, :keaktifan, :nilai, :student_id)
    end
end

app/controllers/payments_controller.rb
class PaymentsController < ApplicationController
  def index
    @payments = Payment.all
  end

  def new
    @payment = Payment.new
  end

  def create
    payment = Payment.new(resource_params)
    payment.save
    flash[:notice] = 'Pocket has been created'
    redirect_to payments_path
  end

  def edit
    @payment = Payment.find(params[:id])
  end

  def update
    @payment = Payment.find(params[:id])
    @payment.update(resource_params)
    flash[:notice] = 'Pocket has been updated'
    redirect_to payment_path(@payment)
  end

  def destroy
    @payment = Payment.find(params[:id])
    @payment.destroy
    flash[:notice] = 'Pocket has been deleted'
    redirect_to payments_path
  end

  def show
    id = params[:id]
    @payment = Payment.find(id)
  end

  private
    def resource_params
      params.require(:payment).permit(:id_transaction, :status, :upload)
    end
end

app/controllers/pockets_controller.rb
class PocketsController < ApplicationController
  def index
    @pockets = Pocket.all
  end

  def new
    @pocket = Pocket.new
  end

  def create
    pocket = Pocket.new(resource_params)
    pocket.save
    flash[:notice] = 'Pocket has been created'
    redirect_to pockets_path
  end

  def edit
    @pocket = Pocket.find(params[:id])
  end

  def update
    @pocket = Pocket.find(params[:id])
    @pocket.update(resource_params)
    flash[:notice] = 'Pocket has been updated'
    redirect_to pocket_path(@pocket)
  end

  def destroy
    @pocket = Pocket.find(params[:id])
    @pocket.destroy
    flash[:notice] = 'Pocket has been deleted'
    redirect_to pockets_path
  end

  def show
    id = params[:id]
    @pocket = Pocket.find(id)
  end

  private
    def resource_params
      params.require(:pocket).permit(:balance, :student_id, :teacher_id)
    end
end

app/controllers/reports_controller.rb
class ReportsController < ApplicationController
  def index
    @reports = Report.all
  end

  def new
    @report = Report.new
  end

  def create
    report = Report.new(resource_params)
    report.save
    flash[:notice] = 'Report has been created'
    redirect_to reports_path
  end

  def edit
    @report = Report.find(params[:id])
  end

  def update
    @report = Report.find(params[:id])
    @report.update(resource_params)
    flash[:notice] = 'Report has been updated'
    redirect_to report_path(@report)
  end

  def destroy
    @report = Report.find(params[:id])
    @report.destroy
    flash[:notice] = 'Report has been deleted'
    redirect_to reports_path
  end

  def show
    id = params[:id]
    @report = Report.find(id)
  end

  private
    def resource_params
      params.require(:report).permit(:title, :hasil, :mapel, :teacher_id, :student_id, :date)
    end
end

app/controllers/students_controller.rb
class StudentsController < ApplicationController
  def index
    @students = Student.all
  end

  def new
    @student = Student.new
  end

  def create
    student = Student.new(resource_params)
    student.save
    flash[:notice] = 'Student has been created'
    redirect_to students_path
  end

  def edit
    @student = Student.find(params[:id])
  end

  def update
    @student = Student.find(params[:id])
    @student.update(resource_params)
    flash[:notice] = 'Student has been updated'
    redirect_to student_path(@student)
  end

  def destroy
    @student = Student.find(params[:id])
    @student.destroy
    flash[:notice] = 'Student has been deleted'
    redirect_to students_path
  end

  def show
    id = params[:id]
    @student = Student.find(id)
  end

  private
    def resource_params
      params.require(:student).permit(:name, :username, :age, :kelas, :address, :city, :NIK)
    end
end

app/controllers/teachers_controller.rb
class TeachersController < ApplicationController
  def index
    @teachers = Teacher.all
  end

  def new
    @teacher = Teacher.new
  end

  def create
    teacher = Teacher.new(resource_params)
    teacher.save
    flash[:notice] = 'Teacher has been created'
    redirect_to teachers_path
  end

  def edit
    @teacher = Teacher.find(params[:id])
  end

  def update
    @teacher = Teacher.find(params[:id])
    @teacher.update(resource_params)
    flash[:notice] = 'Teacher has been updated'
    redirect_to teacher_path(@teacher)
  end

  def destroy
    @teacher = Teacher.find(params[:id])
    @teacher.destroy
    flash[:notice] = 'Teacher has been deleted'
    redirect_to teachers_path
  end

  def show
    id = params[:id]
    @teacher = Teacher.find(id)
  end

  private
    def resource_params
      params.require(:teacher).permit(:nik, :name, :age, :kelas, :mapel)
    end
end

app/helpers/application_helper.rb
module ApplicationHelper
end

app/views/exams/edit.html.erb
<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">

    <%= form_for(@exam) do |f| %>
        <%= f.label :title %> </br>
        <%= f.text_field :title %> </br>
    
        <%= f.label :mapel %> </br>
        <%= f.text_field :mapel %> </br>
    
        <%= f.label :duration %> </br>
        <%= f.text_field :duration %> </br>
    
        <%= f.label :nilai %> </br>
        <%= f.text_field :nilai %> </br>
    
        <%= f.label :keaktifan %> </br>
        <%= f.text_field :keaktifan %> </br>
    
        <%= f.label :level %> </br>
        <%= f.text_field :level %> </br>
    
        <%= f.label :student_id %> </br>
        <%= f.text_field :student_id %> </br>
    
        <%= f.submit "Save" %>
    <% end %>
    
<%= link_to 'Back', exams_path() , class: "btn btn-primary"%>
<script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
  </body>
</html>

app/views/exams/index.html.erb
<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">

<% if flash[:notice].present? %>
<%= flash[:notice] %>
<% end %> </br>

<div class="container">
<table class="table">
    <tr>
        <td> Title </td>
        <td> Mapel</td>
        <td> Duration</td>
        <td> Nilai </td>
        <td> Keaktifan</td>
        <td> Level</td>
        <td> Student ID </td>
        <td colspan="5"> Action</td>
    </tr>
    <% @exams.each do |exam|%>
    <tr>
        <td><%= exam.title %> </td>
        <td><%= exam.mapel %> </td>
        <td><%= exam.duration %> </td>
        <td><%= exam.nilai %> </td>
        <td><%= exam.keaktifan %> </td>
        <td><%= exam.level %> </td>
        <td><%= exam.student_id %> </td>
        <td>
            <div class="pull-right">
        <%= link_to 'Detail', exam_path(exam), class: "btn btn-info"%> 
        <%= link_to 'Edit', edit_exa,_path(exam), class: "btn btn-warning"%> 
        <%= link_to 'Delete',  exam_path(exam), method: :delete, data: {confirm: 'Are you sure?'} ,class: "btn btn-danger"%>
    </div>
    </td>
    </tr>
<% end %>
</table>
<%= link_to 'New Exam', new_exam_path  ,class: "btn btn-primary"%> 
</div>
<script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
  </body>
</html>

app/views/exams/show.html.erb
<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">

<% if flash[:notice].present? %>
<%= flash [notice] %>
<% end %> </br>
<div class="container">
<div class="card" style="width: 18rem;">
    <div class="card-body">
        Title : <%= @exam.title %> </br>
        Mapel : <%= @exam.mapel %> </br>
        Duration : <%= @exam.duration %> </br>
        Nilai : <%= @exam.nilai %> </br>
        Keaktifan : <%= @exam.keaktifan %> </br>
        Level : <%= @exam.level %> </br>
        Student_id : <%= @exam.student_id %> </br>    
    </div>
  </div>
</div>
<%= link_to 'Back', exams_path() , class: "btn btn-primary"%>

</div>

<script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
  </body>
</html>

app/views/payments/index.html.erb
<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">

<% if flash[:notice].present? %>
<%= flash[:notice] %>
<% end %> </br>

<div class="container">
<table class="table">
    <tr>
        <td> ID Transaction</td>
        <td> Status</td>
        <td> Upload</td>    
        <td colspan="5"> Action</td>
    </tr>
    <% @payments.each do |payment|%>
    <tr>
        <td><%= payment.id_transaction %> </td>
        <td><%= payment.status %> </td>
        <td><%= payment.upload %> </td>
        <td>
            <div class="pull-right">
        <%= link_to 'Detail', payment_path(payment), class: "btn btn-info"%> 
        <%= link_to 'Edit', edit_payment_path(payment), class: "btn btn-warning"%> 
        <%= link_to 'Delete',  payment_path(payment), method: :delete, data: {confirm: 'Are you sure?'} ,class: "btn btn-danger"%>
    </div>
    </td>
    </tr>
<% end %>
</table>
<%= link_to 'New Payment', new_payment_path  ,class: "btn btn-primary"%> 
</div>
<script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
  </body>
</html>

app/views/pockets/index.html.erb
<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">

<% if flash[:notice].present? %>
<%= flash[:notice] %>
<% end %> </br>

<div class="container">
<table class="table">
    <tr>
        <td> Balance</td>
        <td> Student ID</td>
        <td> Teacher ID</td>    
        <td colspan="5"> Action</td>
    </tr>
    <% @pockets.each do |pocket|%>
    <tr>
        <td><%= pocket.balance %> </td>
        <td><%= pocket.student_id %> </td>
        <td><%= pocket.teacher_id %> </td>
        <td>
            <div class="pull-right">
        <%= link_to 'Detail', pocket_path(pocket), class: "btn btn-info"%> 
        <%= link_to 'Edit', edit_pocket_path(pocket), class: "btn btn-warning"%> 
        <%= link_to 'Delete',  pocket_path(pocket), method: :delete, data: {confirm: 'Are you sure?'} ,class: "btn btn-danger"%>
    </div>
    </td>
    </tr>
<% end %>
</table>
<%= link_to 'New Pocket', new_pocket_path  ,class: "btn btn-primary"%> 
</div>
<script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
  </body>
</html>

app/views/reports/index.html.erb
<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">

<% if flash[:notice].present? %>
<%= flash[:notice] %>
<% end %> </br>

<div class="container">
<table class="table">
    <tr>
        <td> Title</td>
        <td> Hasil</td>
        <td> Mapel</td>
        <td> Teacher ID</td>
        <td> Student ID</td>
        <td> Date</td>
        <td colspan="5"> Action</td>
    </tr>
    <% @reports.each do |report|%>
    <tr>
        <td><%= report.title %> </td>
        <td><%= report.hasil %> </td>
        <td><%= report.age %> </td>
        <td><%= report.mapel %> </td>
        <td><%= report.teacher_id %> </td>
        <td><%= report.student_id %> </td>
        <td><%= report.date %> </td>
        <td>
            <div class="pull-right">
        <%= link_to 'Detail', report_path(report), class: "btn btn-info"%> 
        <%= link_to 'Edit', edit_report_path(report), class: "btn btn-warning"%> 
        <%= link_to 'Delete',  report_path(report), method: :delete, data: {confirm: 'Are you sure?'} ,class: "btn btn-danger"%>
    </div>
    </td>
    </tr>
<% end %>
</table>
<%= link_to 'New Report', new_report_path  ,class: "btn btn-primary"%> 

</div>


<script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
  </body>
</html>

app/views/students/index.html.erb
<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">

<% if flash[:notice].present? %>
<%= flash[:notice] %>
<% end %> </br>

<div class="container">
<table class="table">
    <tr>
        <td> Nama</td>
        <td> Username</td>
        <td> Age</td>
        <td> Rombel</td>
        <td> Address</td>
        <td> City</td>
        <td> Nik</td>
        <td colspan="5"> Action</td>
    </tr>
    <% @students.each do |student|%>
    <tr>
        <td><%= student.name %> </td>
        <td><%= student.username %> </td>
        <td><%= student.age %> </td>
        <td><%= student.rombel %> </td>
        <td><%= student.address %> </td>
        <td><%= student.city %> </td>
        <td><%= student.nik %> </td>
        <td>
            <div class="pull-right">
        <%= link_to 'Detail', student_path(student), class: "btn btn-info"%> 
        <%= link_to 'Edit', edit_student_path(student), class: "btn btn-warning"%> 
        <%= link_to 'Delete',  student_path(student), method: :delete, data: {confirm: 'Are you sure?'} ,class: "btn btn-danger"%>
    </div>
    </td>
    </tr>
<% end %>
</table>
<%= link_to 'New Student', new_student_path  ,class: "btn btn-primary"%> 

</div>


<script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
  </body>
</html>

app/views/teachers/index.html.erb
<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">

<% if flash[:notice].present? %>
<%= flash[:notice] %>
<% end %> </br>

<div class="container">
<table class="table">
    <tr>
        <td> NIK </td>
        <td>  Name </td>
        <td>  Age </td>
        <td>  Kelas </td>
        <td>  Mapel </td>

        <td colspan="5"> Action</td>
    </tr>
    <% @teachers.each do |teacher|%>
    <tr>
        <td><%= teacher.nik %> </td>
        <td><%= teacher.name %> </td>
        <td><%= teacher.age %> </td>
        <td><%= teacher.kelas %> </td>
        <td><%= teacher.mapel %> </td>
        <td>
            <div class="pull-right">
        <%= link_to 'Detail', teacher_path(teacher), class: "btn btn-info"%> 
        <%= link_to 'Edit', edit_teacher_path(teacher), class: "btn btn-warning"%> 
        <%= link_to 'Delete',  teacher_path(teacher), method: :delete, data: {confirm: 'Are you sure?'} ,class: "btn btn-danger"%>
    </div>
    </td>
    </tr>
<% end %>
</table>
<%= link_to 'New Teacher', new_teacher_path  ,class: "btn btn-primary"%> 

</div>


<script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
  </body>
</html>